summaryrefslogtreecommitdiff
path: root/bin/dodir
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2006-02-04 05:17:07 +0000
committerMike Frysinger <vapier@gentoo.org>2006-02-04 05:17:07 +0000
commit0013e9ad985b226017f1abb5014e2b6e91414321 (patch)
treeda152108937fc8531333002510f24cbdc94109f3 /bin/dodir
parentRemove all bug references (diff)
downloadportage-multirepo-0013e9ad985b226017f1abb5014e2b6e91414321.tar.gz
portage-multirepo-0013e9ad985b226017f1abb5014e2b6e91414321.tar.bz2
portage-multirepo-0013e9ad985b226017f1abb5014e2b6e91414321.zip
Simon Stelling writes in Bug 121317:
currently, the do* scripts don't exit with a non-zero status when a critical command fails, except if it is the last one. install as much as possible, then exit appropriately. svn path=/main/trunk/; revision=2650
Diffstat (limited to 'bin/dodir')
-rwxr-xr-xbin/dodir5
1 files changed, 5 insertions, 0 deletions
diff --git a/bin/dodir b/bin/dodir
index 88b201ad..ced7ff70 100755
--- a/bin/dodir
+++ b/bin/dodir
@@ -3,6 +3,11 @@
# Distributed under the terms of the GNU General Public License v2
# $Id: /var/cvsroot/gentoo-src/portage/bin/dodir,v 1.5 2004/10/04 13:56:50 vapier Exp $
+ret=0
+
for x in "$@" ; do
install -d ${DIROPTIONS} "${D}${x}"
+ ((ret+=$?))
done
+
+exit ${ret}